using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.ViewResponses.Exam
{
    public class TestPaperQuestionCountViewResponse : IViewResponse
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public string QuestionTypeDesc {
            get
            {
                return QuestionType.GetDescription();
            }
        }

        /// <summary>
        /// 试题数
        /// </summary>
        [Description("试题数")]
        public int Count { get; set; }
    }
}
